> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credential by Credential ID

> Get a verifiable credential by the ID associated with it. 

This ID will have the format: `urn:uuid:<UUID>`. For example: `urn:uuid:64f9877d-a19a-4205-8d61-f8c2abed5766`

**API scope required** `credentials.read`. This enpoint will work also with a client side API key.


<Snippet file="alpha-api-note.mdx" />


## OpenAPI

````yaml get /v1-alpha1/credentials/{id}
openapi: 3.0.1
info:
  description: N/A
  version: 1.0.0
  title: Verifiable Credentials
  contact:
    name: Crossmint Verifiable Credentials APIs
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security:
  - apiKey: []
paths:
  /v1-alpha1/credentials/{id}:
    get:
      tags:
        - Verifiable Credentials
      summary: Get Credential by Credential ID
      description: >
        Get a verifiable credential by the ID associated with it. 


        This ID will have the format: `urn:uuid:<UUID>`. For example:
        `urn:uuid:64f9877d-a19a-4205-8d61-f8c2abed5766`


        **API scope required** `credentials.read`. This enpoint will work also
        with a client side API key.
      operationId: get-vc-by-id
      parameters:
        - name: id
          in: path
          description: >
            Unique ID of the credential as returned in the Verifiable Credential
            NFT creation response. Format is: `urn:uuid:<UUID>`
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                type: object
                description: The credential object
              example:
                $ref: '#/components/examples/Credential'
        '400':
          description: Bad Request
          content:
            error:
              examples:
                NotIssuedYet:
                  description: Credential not issued yet, wait for the mint to complete.
        '404':
          description: Credential not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Key obtained from the Crossmint developer console, reflecting the API
        scope granted.

````